> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v2024-01-31/api/payables/post-payables-id-reject/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Reject a payable POST https://api.sandbox.monite.com/v1/payables/{payable_id}/reject Declines the payable when an approver finds any mismatch or discrepancies. Reference: https://docs.monite.com/api/payables/post-payables-id-reject ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.sandbox.monite.com/v1` (sandbox, default) - `https://api.monite.com/v1` (eu_production) - `https://us.api.monite.com/v1` (na_production) ## Request ### Path parameters - `payable_id` (string, required) ### Headers - `x-monite-version` (string, required) - `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource. ## Response ### 200 Successful Response - `id` (string, required) — A unique ID assigned to this payable. - `created_at` (datetime, required) — UTC date and time when this payable was created. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. - `updated_at` (datetime, required) — UTC date and time when this payable was last updated. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. - `credit_notes` (list of PayableCreditNoteData, required) — The list of linked credit notes of the payable. - `entity_id` (string, required) — The ID of the entity to which the payable was issued. - `payable_origin` (enum, required) — Specifies how this payable was created in Monite: `upload` - created via an API call, `email` - sent via email to the entity's mailbox. - Allowed values: `upload`, `email`, `einvoicing` - `source_of_payable_data` (enum, required) — Specifies how the property values of this payable were provided: `ocr` - Monite OCR service extracted the values from the provided PDF or image file, `user_specified` - values were added or updated via an API call. - Allowed values: `ocr`, `user_specified`, `einvoicing` - `status` (enum, required) — The [status](https://docs.monite.com/accounts-payable/payables/index) of the payable. - Allowed values: `draft`, `new`, `approve_in_progress`, `waiting_to_be_paid`, `partially_paid`, `paid`, `canceled`, `rejected` - `amount_due` (integer, optional) — How much is left to be paid on the invoice (in minor units). - `amount_paid` (integer, optional) — How much was paid on the invoice (in minor units). - `amount_to_pay` (integer, optional) — How much is left to be paid on the invoice (in minor units) with discounts from payment terms. - `approval_policy_id` (string, optional) — Id of existing approval policy that applies to this payable, if any. A policy is applied if the payable matches the policy trigger conditions. - `counterpart` (CounterpartRawData, optional) — Object representing de-normalized counterpart data. Filled at the moment of invoice submitting for approval or payment. - `counterpart_address_id` (string, optional) — The ID of counterpart address object stored in counterparts service - `counterpart_bank_account_id` (string, optional) — The ID of counterpart bank account object stored in counterparts service - `counterpart_id` (string, optional) — The ID of the counterpart object that represents the vendor or supplier. - `counterpart_raw_data` (CounterpartRawData, optional) — Object representing counterpart data which was extracted by OCR. Used for informational purposes. - `counterpart_vat_id_id` (string, optional) — The ID of counterpart VAT ID object stored in counterparts service - `created_by_role_id` (string, optional) — The ID of the role that the entity user who created this payable had at that time. If the payable was created using a partner access token, the value is `null`. - `currency` (enum, optional) — The [currency code](https://docs.monite.com/references/currencies) of the currency used in the payable. - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `SVC`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW` - `currency_exchange` (CurrencyExchangeSchema2, optional) - `description` (string, optional) — An arbitrary description of this payable. - `discount` (integer, optional) — The value of the additional discount that will be applied to the total amount. in [minor units](https://docs.monite.com/references/currencies#minor-units). For example, $12.50 is represented as 1250. - `document_id` (string, optional) — A unique invoice number assigned by the invoice issuer for payment tracking purposes. This is different from `id` which is an internal ID created automatically by Monite. - `due_date` (string, optional) — The date by which the payable must be paid, in the YYYY-MM-DD format. If the payable specifies payment terms with early payment discounts, this is the final payment date. - `einvoice_file_url` (string, optional) — The URL to download the original e-invoice file. - `enforce_approval_policy_id` (string, optional) — Id of an existing approval policy that should be enforced when submitting the payable for approval.If this field is set, no other policies will be evaluated via their triggers - the specified policy will always be applied instead. - `file` (FileSchema, optional) — The original file from which this payable was created. - `file_id` (string, optional) — File id to retrieve file info from file saver. - `issued_at` (string, optional) — The date when the payable was issued, in the YYYY-MM-DD format. - `marked_as_paid_by_entity_user_id` (string, optional) — The ID of the entity user who marked this document as paid. - `marked_as_paid_with_comment` (string, optional) — An arbitrary comment that describes how and when this payable was paid. - `ocr_request_id` (string, optional) — Id of OCR request to match asynchronous result of processing payable. - `ocr_status` (enum, optional) — The status of the data recognition process using OCR. The 'processing' status means that the data recognition is in progress and the user needs to wait for the data enrichment. The 'error' status indicates that some error occurred on the OCR side and the user can fill in the data manually. The 'success' status means the data recognition has been successfully completed, after which the user can check the data if desired and enrich or correct it. - Allowed values: `processing`, `error`, `success` - `other_extracted_data` (PayableResponseSchemaOtherExtractedData, optional) — Data extracted from the uploaded payable by OCR. - `paid_at` (datetime, optional) — The date by which the payable was paid - `partner_metadata` (map from string to any, optional) — Metadata for partner needs - `payment_terms` (PayablePaymentTermsCreatePayload, optional) — The number of days to pay with potential discount for options shorter than due_date - `project_id` (string, optional) — Project ID of a payable. - `purchase_order_id` (string, optional) — The identifier of the purchase order to which this payable belongs. - `sender` (string, optional) — The email address from which the invoice was sent to the entity. - `subtotal` (integer, optional) — The subtotal amount to be paid, in [minor units](https://docs.monite.com/references/currencies#minor-units). For example, $12.50 is represented as 1250. - `suggested_payment_term` (SuggestedPaymentTerm, optional) — The suggested date and corresponding discount in which payable could be paid. The date is in the YYYY-MM-DD format. The discount is calculated as X * (10^-4) - for example, 100 is 1%, 25 is 0,25%, 10000 is 100 %. Date varies depending on the payment terms and may even be equal to the due date with discount 0. - `tags` (list of TagReadSchema, optional) — A list of user-defined tags (labels) assigned to this payable. Tags can be used to trigger a specific approval policy for this payable. - `tax` (integer, optional) — Registered tax percentage applied for a service price in minor units, e.g. 200 means 2%, 1050 means 10.5%. - `tax_amount` (integer, optional) — Tax amount in [minor units](https://docs.monite.com/references/currencies#minor-units). For example, $12.50 is represented as 1250. - `total_amount` (integer, optional) — The total amount to be paid, in [minor units](https://docs.monite.com/references/currencies#minor-units). For example, $12.50 is represented as 1250. - `total_amount_with_credit_notes` (integer, optional) — The total price of the payable in [minor units](https://docs.monite.com/references/currencies#minor-units), excluding all issued credit notes. - `was_created_by_user_id` (string, optional) ## Errors ### 400 Post Payables ID Reject Request Bad Request Error Bad Request - `error` (ErrorSchema2, required) ### 401 Post Payables ID Reject Request Unauthorized Error Unauthorized - `error` (ErrorSchema2, required) ### 403 Post Payables ID Reject Request Forbidden Error Forbidden - `error` (ErrorSchema2, required) ### 404 Post Payables ID Reject Request Not Found Error Not Found - `error` (ErrorSchema2, required) ### 409 Post Payables ID Reject Request Conflict Error Possible responses: `Action for {object_type} at permissions not found: {action}`, `Object type at permissions not found: {object_type}`, `Action {action} for {object_type} not allowed`, `Payable couldn't be updated due to current state`, `The file cannot be attached because another file is already attached. Please note that only one file attachment is allowed.` - `error` (ErrorSchema2, required) ### 422 Post Payables ID Reject Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 500 Post Payables ID Reject Request Internal Server Error Internal Server Error - `error` (ErrorSchema2, required) ## Types ### PayableCreditNoteData - `id` (string, required) — The unique identifier of the credit note. - `status` (string, required) — The current status of the credit note in its lifecycle - `document_id` (string, optional) — The credit note's unique document number. - `issued_at` (string, optional) — The date when the credit note was issued, in the YYYY-MM-DD format - `total_amount` (integer, optional) — Credit note total amount. ### CounterpartRawData - `address` (CounterpartRawAddress, optional) — The address of the vendor or supplier. - `bank_account` (CounterpartRawBankAccount, optional) — Object representing counterpart bank account. - `email` (string, optional) — The email address of the organization - `name` (string, optional) — Vendor or supplier name. - `phone` (string, optional) — The phone number of the organization - `tax_id` (string, optional) — The tax id of the counterpart. - `vat_id` (CounterpartRawVatId, optional) — VAT ID of the vendor or supplier which was used in the invoice. ### CurrencyExchangeSchema2 - `default_currency_code` (string, required) - `rate` (double, required) - `total` (double, required) ### FileSchema Represents a file (such as a PDF invoice) that was uploaded to Monite. - `id` (string, required) — A unique ID of this file. - `created_at` (datetime, required) — UTC date and time when this file was uploaded to Monite. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. - `file_type` (string, required) — The type of the business object associated with this file. - `md5` (string, required) — The MD5 hash of the file. - `mimetype` (string, required) — The file's [media type](https://developer.mozilla.org/en-US/docs/Web/HTTP/MIME_types). - `name` (string, required) — The original file name (if available). - `region` (string, required) — Geographical region of the data center where the file is stored. - `size` (integer, required) — The file size in bytes. - `url` (string, required) — The URL to download the file. - `pages` (list of PageSchema2, optional) — If the file is a PDF document, this property contains individual pages extracted from the file. Otherwise, an empty array. - `previews` (list of PreviewSchema2, optional) — Preview images generated for this file. There can be multiple images with different sizes. ### PayableResponseSchemaOtherExtractedData Data extracted from the uploaded payable by OCR. ### PayablePaymentTermsCreatePayload - `name` (string, required) - `term_final` (PayablePaymentTermFinal, required) - `description` (string, optional) - `term_1` (PayablePaymentTermDiscount, optional) - `term_2` (PayablePaymentTermDiscount, optional) ### SuggestedPaymentTerm Suggested payment date and corresponding discount - `date` (string, required) - `discount` (integer, optional) ### TagReadSchema Represents a user-defined tag that can be assigned to resources to filter them. - `id` (string, required) — A unique ID of this tag. - `created_at` (datetime, required) — Date and time when the tag was created. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard. - `updated_at` (datetime, required) — Date and time when the tag was last updated. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard. - `name` (string, required) — The tag name. - `category` (enum, optional) — The tag category. - Allowed values: `document_type`, `department`, `project`, `cost_center`, `vendor_type`, `payment_method`, `approval_status` - `created_by_entity_user_id` (string, optional) — ID of the user who created the tag. - `description` (string, optional) — The tag description. ### ErrorSchema2 - `message` (string, required) ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### CounterpartRawAddress Address information. - `city` (string, optional) — City name. - `country` (enum, optional) — Two-letter ISO country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - Allowed values: `AF`, `AX`, `AL`, `DZ`, `AS`, `AD`, `AO`, `AI`, `AQ`, `AG`, `AR`, `AM`, `AW`, `AU`, `AT`, `AZ`, `BS`, `BH`, `BD`, `BB`, `BY`, `BE`, `BZ`, `BJ`, `BM`, `BT`, `BO`, `BA`, `BW`, `BV`, `BR`, `IO`, `BN`, `BG`, `BF`, `BI`, `KH`, `CM`, `CA`, `IC`, `CV`, `KY`, `CF`, `EA`, `TD`, `CL`, `CN`, `CX`, `CC`, `CO`, `KM`, `CG`, `CD`, `CK`, `CR`, `CI`, `HR`, `CU`, `CY`, `CZ`, `DK`, `DJ`, `DM`, `DO`, `EC`, `EG`, `SV`, `GQ`, `ER`, `EE`, `SZ`, `ET`, `FK`, `FO`, `FJ`, `FI`, `FR`, `GF`, `PF`, `TF`, `GA`, `GM`, `GE`, `DE`, `GH`, `GI`, `GR`, `GL`, `GD`, `GP`, `GU`, `GT`, `GG`, `GN`, `GW`, `GY`, `HT`, `HM`, `VA`, `HN`, `HK`, `HU`, `IS`, `IN`, `ID`, `IR`, `IQ`, `IE`, `IM`, `IL`, `IT`, `JM`, `JP`, `JE`, `JO`, `KZ`, `KE`, `KI`, `KP`, `KR`, `KW`, `KG`, `LA`, `LV`, `LB`, `LS`, `LR`, `LY`, `LI`, `LT`, `LU`, `MO`, `MG`, `MW`, `MY`, `MV`, `ML`, `MT`, `MH`, `MQ`, `MR`, `MU`, `YT`, `MX`, `FM`, `MD`, `MC`, `MN`, `ME`, `MS`, `MA`, `MZ`, `MM`, `NA`, `NR`, `NP`, `NL`, `AN`, `NC`, `NZ`, `NI`, `NE`, `NG`, `NU`, `NF`, `MP`, `MK`, `NO`, `OM`, `PK`, `PW`, `PS`, `PA`, `PG`, `PY`, `PE`, `PH`, `PN`, `PL`, `PT`, `PR`, `QA`, `RE`, `RO`, `RU`, `RW`, `SH`, `KN`, `LC`, `PM`, `VC`, `WS`, `SM`, `ST`, `SA`, `SN`, `RS`, `SC`, `SL`, `SG`, `SK`, `SI`, `SB`, `SO`, `ZA`, `SS`, `GS`, `ES`, `LK`, `SD`, `SR`, `SJ`, `SE`, `CH`, `SY`, `TW`, `TJ`, `TZ`, `TH`, `TL`, `TG`, `TK`, `TO`, `TT`, `TN`, `TR`, `TM`, `TC`, `TV`, `UG`, `UA`, `AE`, `GB`, `US`, `UM`, `UY`, `UZ`, `VU`, `VE`, `VN`, `VG`, `VI`, `WF`, `EH`, `YE`, `ZM`, `ZW`, `BL`, `BQ`, `CW`, `MF`, `SX` - `line1` (string, optional) — Street address. - `line2` (string, optional) — Additional address information (if any). - `postal_code` (string, optional) — ZIP or postal code. - `state` (string, optional) — State, region, province, or county. ### CounterpartRawBankAccount - `account_holder_name` (string, optional) — Vendor's bank account name. - `account_number` (string, optional) — Vendor's bank account number, IBAN, or similar (if specified in the payable document). - `bic` (string, optional) — SWIFT code (BIC) of the vendor's bank. - `iban` (string, optional) — required for non-GB bank accounts - `routing_number` (string, optional) — required for US bank accounts - `sort_code` (string, optional) — required for GB bank accounts ### CounterpartRawVatId - `country` (enum, optional) - Allowed values: `AF`, `AX`, `AL`, `DZ`, `AS`, `AD`, `AO`, `AI`, `AQ`, `AG`, `AR`, `AM`, `AW`, `AU`, `AT`, `AZ`, `BS`, `BH`, `BD`, `BB`, `BY`, `BE`, `BZ`, `BJ`, `BM`, `BT`, `BO`, `BA`, `BW`, `BV`, `BR`, `IO`, `BN`, `BG`, `BF`, `BI`, `KH`, `CM`, `CA`, `IC`, `CV`, `KY`, `CF`, `EA`, `TD`, `CL`, `CN`, `CX`, `CC`, `CO`, `KM`, `CG`, `CD`, `CK`, `CR`, `CI`, `HR`, `CU`, `CY`, `CZ`, `DK`, `DJ`, `DM`, `DO`, `EC`, `EG`, `SV`, `GQ`, `ER`, `EE`, `SZ`, `ET`, `FK`, `FO`, `FJ`, `FI`, `FR`, `GF`, `PF`, `TF`, `GA`, `GM`, `GE`, `DE`, `GH`, `GI`, `GR`, `GL`, `GD`, `GP`, `GU`, `GT`, `GG`, `GN`, `GW`, `GY`, `HT`, `HM`, `VA`, `HN`, `HK`, `HU`, `IS`, `IN`, `ID`, `IR`, `IQ`, `IE`, `IM`, `IL`, `IT`, `JM`, `JP`, `JE`, `JO`, `KZ`, `KE`, `KI`, `KP`, `KR`, `KW`, `KG`, `LA`, `LV`, `LB`, `LS`, `LR`, `LY`, `LI`, `LT`, `LU`, `MO`, `MG`, `MW`, `MY`, `MV`, `ML`, `MT`, `MH`, `MQ`, `MR`, `MU`, `YT`, `MX`, `FM`, `MD`, `MC`, `MN`, `ME`, `MS`, `MA`, `MZ`, `MM`, `NA`, `NR`, `NP`, `NL`, `AN`, `NC`, `NZ`, `NI`, `NE`, `NG`, `NU`, `NF`, `MP`, `MK`, `NO`, `OM`, `PK`, `PW`, `PS`, `PA`, `PG`, `PY`, `PE`, `PH`, `PN`, `PL`, `PT`, `PR`, `QA`, `RE`, `RO`, `RU`, `RW`, `SH`, `KN`, `LC`, `PM`, `VC`, `WS`, `SM`, `ST`, `SA`, `SN`, `RS`, `SC`, `SL`, `SG`, `SK`, `SI`, `SB`, `SO`, `ZA`, `SS`, `GS`, `ES`, `LK`, `SD`, `SR`, `SJ`, `SE`, `CH`, `SY`, `TW`, `TJ`, `TZ`, `TH`, `TL`, `TG`, `TK`, `TO`, `TT`, `TN`, `TR`, `TM`, `TC`, `TV`, `UG`, `UA`, `AE`, `GB`, `US`, `UM`, `UY`, `UZ`, `VU`, `VE`, `VN`, `VG`, `VI`, `WF`, `EH`, `YE`, `ZM`, `ZW`, `BL`, `BQ`, `CW`, `MF`, `SX` - `type` (string, optional) - `value` (string, optional) ### PageSchema2 When a PDF document is uploaded to Monite, it extracts individual pages from the document and saves them as PNG images. This object contains the image and metadata of a single page. - `id` (string, required) — A unique ID of the image. - `mimetype` (string, required) — The [media type](https://developer.mozilla.org/en-US/docs/Web/HTTP/MIME_types) of the image. - `number` (integer, required) — The page number in the PDF document, from 0. - `size` (integer, required) — Image file size, in bytes. - `url` (string, required) — The URL to download the image. ### PreviewSchema2 A preview image generated for a file. - `height` (integer, required) — The image height in pixels. - `url` (string, required) — The image URL. - `width` (integer, required) — The image width in pixels. ### OcrResponseInvoiceReceiptData - `counterpart_account_id` (string, optional) — Counterpart bank ID - `counterpart_account_number` (string, optional) — The bank account number - `counterpart_address` (string, optional) — Counterpart address - `counterpart_address_object` (OcrAddress, optional) — Counterpart address as a json object compatible with counterparts service - `counterpart_branch_number` (string, optional) — The bank branch number - `counterpart_email` (string, optional) — Email address of the counterpart - `counterpart_name` (string, optional) — Counterpart name - `counterpart_routing_number` (string, optional) — The bank routing number - `counterpart_vat_id` (string, optional) — Counterpart VAT ID - `currency` (string, optional) — ISO 4217 currency code - `discount_raw` (double, optional) — Discount Raw amount - `document_due_date` (string, optional) — Document due date in ISO format - `document_id` (string, optional) — Invoice/receipt ID - `document_issued_at_date` (string, optional) — Document issuance date in ISO format - `line_items_raw` (list of OcrResponseInvoiceReceiptLineItemRaw, optional) — List of line items from document raw, without minor units conversion. - `payment_terms_raw` (list of string, optional) — Raw payment terms parsed but not calculated. - `purchase_order_number` (string, optional) — Purchase Order Number - `tax_payer_id` (string, optional) — Tax payer ID - `total_excl_vat_raw` (double, optional) — Subtotal, without minor units - `total_paid_amount_raw` (double, optional, default: 0) — Total paid amount - `total_raw` (double, optional) — Total, without minor units - `total_vat_amount_raw` (double, optional) — VAT amount, without minor units - `total_vat_rate_raw` (double, optional) — VAT Percent raw, without minor units. - `type` ("invoice", optional) ### OcrRecognitionResponse Contains information about all text blocks extracted from an uploaded invoice by OCR. The text blocks are grouped into `line_items` (invoice line items) and `summary` (all other information). Legacy schema used for AWS textract recognition. - `line_items` (list of LabelNValue, optional) — Text content of the invoice line items as recognized by OCR. - `summary` (list of LabelNValue, optional) — Invoice text content other than the line items. Such as the invoice issue and due dates, vendor name and address, and other general information. ### PayablePaymentTermFinal - `number_of_days` (integer, required) — The amount of days after the invoice issue date. ### PayablePaymentTermDiscount - `discount` (integer, required) — The discount percentage in minor units. E.g., 200 means 2%, 1050 means 10.5%. - `number_of_days` (integer, required) — The amount of days after the invoice issue date. ### ValidationErrorLocItem ### OcrAddress In general it's compatible with CounterpartAddress model but * All fields are optional * There is an additional field original_country_name - `city` (string, optional) — City name. - `country` (string, optional) — Two-letter ISO country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - `line1` (string, optional) — Street address. - `line2` (string, optional) — Additional address information (if any). - `original_country_name` (string, optional) — Country name as it is stated in the document. - `postal_code` (string, optional) — ZIP or postal code. - `state` (string, optional) — State, region, province, or county. ### OcrResponseInvoiceReceiptLineItemRaw - `description` (string, optional) — Human-readable line item description - `item_adjusted` (boolean, optional, default: false) — Item Quantity/Unit Price adjusted - `line_item_ocr_id` (string, optional) — OCR Id of line item - `quantity` (double, optional) — Quantity - `total_excl_vat` (double, optional) — Total excluded VAT as parsed. - `total_incl_vat` (double, optional) — Total included VAT as parsed. - `unit` (string, optional) — Unit - `unit_price` (double, optional) — Price as parsed - `vat_amount` (double, optional) — VAT Amount as parsed. - `vat_percentage` (double, optional) — VAT Percent as parsed. ### LabelNValue A label-value pair extracted from an uploaded document by OCR. For example, the label could be "Total" and the value could be a currency amount. - `label` (Item, required) — Text label. - `value` (Item, required) — The value (if any). ### Item Contains information about a text block or line extracted from an uploaded document by OCR. - `confidence` (double, required) — OCR confidence score - the estimated accuracy percentage of character recognition of the extracted text, from 0 to 100%. - `text` (string, required) — The text as recognized by OCR. - `processed_text` (any, optional) ## Examples **Response** ```json { "id": "id", "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "credit_notes": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "status": "submitted_for_approval", "document_id": "CN-123456", "issued_at": "2024-01-15", "total_amount": 1000 } ], "entity_id": "entity_id", "payable_origin": "upload", "source_of_payable_data": "ocr", "status": "draft", "amount_due": 1000, "amount_paid": 1000, "amount_to_pay": 1000, "approval_policy_id": "approval_policy_id", "counterpart": { "address": { "city": "Berlin", "country": "AF", "line1": "Flughafenstrasse 52", "line2": "line2", "postal_code": "10115", "state": "state" }, "bank_account": { "account_holder_name": "account_holder_name", "account_number": "123456789012", "bic": "DEUTDE2HXXX", "iban": "iban", "routing_number": "routing_number", "sort_code": "sort_code" }, "email": "acme@example.com", "name": "Acme Inc.", "phone": "5551231234", "tax_id": "DE12345678", "vat_id": { "country": "AF", "type": "type", "value": "value" } }, "counterpart_address_id": "counterpart_address_id", "counterpart_bank_account_id": "counterpart_bank_account_id", "counterpart_id": "counterpart_id", "counterpart_raw_data": { "address": { "city": "Berlin", "country": "AF", "line1": "Flughafenstrasse 52", "line2": "line2", "postal_code": "10115", "state": "state" }, "bank_account": { "account_holder_name": "account_holder_name", "account_number": "123456789012", "bic": "DEUTDE2HXXX", "iban": "iban", "routing_number": "routing_number", "sort_code": "sort_code" }, "email": "acme@example.com", "name": "Acme Inc.", "phone": "5551231234", "tax_id": "DE12345678", "vat_id": { "country": "AF", "type": "type", "value": "value" } }, "counterpart_vat_id_id": "counterpart_vat_id_id", "created_by_role_id": "created_by_role_id", "currency": "AED", "currency_exchange": { "default_currency_code": "default_currency_code", "rate": 1.1, "total": 1.1 }, "description": "description", "discount": 500, "document_id": "DE2287", "due_date": "due_date", "einvoice_file_url": "https://bucketname.s3.amazonaws.com/12345/67890.xml", "enforce_approval_policy_id": "enforce_approval_policy_id", "file": { "id": "id", "created_at": "2024-01-15T09:30:00Z", "file_type": "payables", "md5": "31d1a2dd1ad3dfc39be849d70a68dac0", "mimetype": "application/pdf", "name": "invoice.pdf", "region": "eu-central-1", "size": 24381, "url": "https://bucketname.s3.amazonaws.com/12345/67890.pdf", "pages": [ { "id": "id", "mimetype": "image/png", "number": 0, "size": 21972, "url": "https://bucket.s3.amazonaws.com/123/456.png" } ], "previews": [ { "height": 400, "url": "https://bucketname.s3.amazonaws.com/1/2/3.png", "width": 200 } ] }, "file_id": "file_id", "issued_at": "issued_at", "marked_as_paid_by_entity_user_id": "71e8875a-43b3-434f-b12a-54c84c176ef3", "marked_as_paid_with_comment": "Was paid partly in the end of the month.", "ocr_request_id": "ocr_request_id", "ocr_status": "processing", "other_extracted_data": { "counterpart_account_id": "DEUTDEFF", "counterpart_account_number": "counterpart_account_number", "counterpart_address": "counterpart_address", "counterpart_address_object": { "city": "Berlin", "country": "DE", "line1": "Flughafenstrasse 52", "line2": "line2", "original_country_name": "Berlin", "postal_code": "10115", "state": "state" }, "counterpart_branch_number": "counterpart_branch_number", "counterpart_email": "counterpart_email", "counterpart_name": "Monite GMbH", "counterpart_routing_number": "counterpart_routing_number", "counterpart_vat_id": "DE88939004", "currency": "EUR", "discount_raw": 1.1, "document_due_date": "document_due_date", "document_id": "CST-13341", "document_issued_at_date": "document_issued_at_date", "line_items_raw": [ { "description": "Impact Players : How to Take the Lead , Play Bigger , and Multiply Your", "item_adjusted": true, "line_item_ocr_id": "line_item_ocr_id", "quantity": 1.2, "total_excl_vat": 120, "total_incl_vat": 135, "unit": "meters", "unit_price": 100, "vat_amount": 15, "vat_percentage": 12.5 } ], "payment_terms_raw": [ "payment_terms_raw" ], "purchase_order_number": "1234", "tax_payer_id": "12345678901", "total_excl_vat_raw": 77, "total_paid_amount_raw": 50, "total_raw": 70, "total_vat_amount_raw": 7, "total_vat_rate_raw": 12.5, "type": "invoice" }, "paid_at": "2024-01-15T09:30:00Z", "partner_metadata": { "key": "value" }, "payment_terms": { "name": "name", "term_final": { "number_of_days": 1 }, "description": "description", "term_1": { "discount": 1, "number_of_days": 1 }, "term_2": { "discount": 1, "number_of_days": 1 } }, "project_id": "project_id", "purchase_order_id": "purchase_order_id", "sender": "hello@example.com", "subtotal": 1250, "suggested_payment_term": { "date": "date", "discount": 1 }, "tags": [ { "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5", "created_at": "2022-09-07T16:35:18Z", "updated_at": "2022-09-07T16:35:18Z", "name": "Marketing", "category": "document_type", "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5", "description": "Tag for the Marketing Department" } ], "tax": 2000, "tax_amount": 250, "total_amount": 1500, "total_amount_with_credit_notes": 1, "was_created_by_user_id": "was_created_by_user_id" } ``` **SDK Code** ```python import requests url = "https://api.sandbox.monite.com/v1/payables/payable_id/reject" headers = { "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " } response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sandbox.monite.com/v1/payables/payable_id/reject'; const options = { method: 'POST', headers: { 'x-monite-version': '2024-01-31', 'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4', Authorization: 'Bearer ' } }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.sandbox.monite.com/v1/payables/payable_id/reject" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("x-monite-version", "2024-01-31") req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sandbox.monite.com/v1/payables/payable_id/reject") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-monite-version"] = '2024-01-31' request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.sandbox.monite.com/v1/payables/payable_id/reject") .header("x-monite-version", "2024-01-31") .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") .header("Authorization", "Bearer ") .asString(); ``` ```php request('POST', 'https://api.sandbox.monite.com/v1/payables/payable_id/reject', [ 'headers' => [ 'Authorization' => 'Bearer ', 'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4', 'x-monite-version' => '2024-01-31', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sandbox.monite.com/v1/payables/payable_id/reject"); var request = new RestRequest(Method.POST); request.AddHeader("x-monite-version", "2024-01-31"); request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/payables/payable_id/reject")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```